@echo off

:: jnewman67 - 2020-12-31

:: Set defaults
set status=c:\drivers\power\status.txt
set updated=c:\drivers\power\updated.txt
set prev=c:\drivers\power\status_prev.txt
set ftpscript=c:\drivers\power\ftpstatusget.txt
set power=

:StartLoop

:: Check for updates if it's the correct day
set today=%date:~7,2%
set match=
for %%A in ("01" "08" "16" "24") do if "%today%"==%%A set match=yes
if "%match%" == "yes" (
  if not exist %updated% (
    ftp -s:c:\drivers\power\ftpupdate.txt > nul
    echo Updated > %updated%
    call c:\drivers\power\ServerGet.bat
    goto EndNow
    )
  ) else (
  if exist %updated% erase %updated%
  )

echo Getting server status - %date% %time%

if exist %prev% erase %prev%
if exist %status% move %status% %prev% > nul
ftp -s:%ftpscript% > nul
if not exist %status% goto NoStatus

setlocal ENABLEDELAYEDEXPANSION
set cnt=0
for /F "tokens=*" %%A in (%status%) do (
    SET /A cnt=!cnt! + 1
    set power!cnt!=%%A
)
set power=%power1%
echo Status = %power%

if "%power%" == "DOWN " goto EndLoop
echo Sleeping...
@ping 127.0.0.1 -n 30 -w 1000 > nul
goto StartLoop

:NoStatus

echo FTP failed to download current status directive
goto StartLoop

:EndLoop

echo Shutting down - Status = %power%
shutdown /p /d U:06:12

:End

@ping 127.0.0.1 -n 2 -w 1000 > nul

:EndNow

exit
